| Home | Libraries | People | FAQ | More

##### basic_static_string::operator+= (1 of 5 overloads)

Append to the string.

###### Synopsis

    template<
        std::size_t M>
    basic_static_string&
    operator+=(
        const basic_static_string< M, CharT, Traits >& s);

###### Description

Appends `s` to the end of the string.

###### Exception Safety

Strong guarantee.

###### Template Parameters

Type | Description
--- | ---
`M` | The size of the string to append.

###### Return Value

`*this`

###### Parameters

Name | Description
--- | ---
`s` | The string to append.

###### Exceptions

Type | Thrown On
--- | ---
`std::length_error` | `size() + s.size() > max_size()`